| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Parser
Parser.XML
Parser.XML.Tree
Parser.XML.Tree.VirtualNode

Methods
cast()
create()
get_any_name()
get_attributes()
get_doc_order()
get_elements()
get_first_element()
get_full_name()
get_namespace()
get_node_type()
get_short_attributes()
get_tag_name()
get_text()
render_to_file()
render_xml()
set_doc_order()
set_short_attributes()
set_tag_name()
value_of_node()

Parser.XML.Tree.SimpleRootNode()->get_element_by_id() | Parser.XML.Tree.VirtualNode()->cast()

# Class Parser.XML.Tree.VirtualNode

Description

  Node in XML tree